﻿using Blazor.Models;
using Blazor.Pages;
using Microsoft.AspNetCore.Components;
using System.Collections.ObjectModel;

namespace Blazor.Components
{
    partial class Inventory
    {
        public InventoryItem CurrentDragItem { get; set; }
        public ObservableCollection<InventoryAction> Actions { get; set; }

        public Inventory() 
        {
            Actions = new ObservableCollection<InventoryAction>();
        }
        public void update()
        {
            this.StateHasChanged();
            return;
        }

        [Parameter]
        public InventoryList inventory { get; set; }

    }
}
